Why do I have to manually download Studiometry Touch 2.0?

Studiometry Touch 2.0 was added to the App Store as a brand new application instead of as a new version of the existing Studiometry Touch.

We had to do this because Studiometry Touch 2.0 and newer can only sync with Studiometry 12.0 and newer. Since Studiometry Touch 2.0 cannot sync with older versions of Studiometry, and also because not everyone will be upgrading to Studiometry 12.0, we decided to split the Studiometry Touch app into two version on the App Store.

If your company is using Studiometry 12.x and/or Studiometry Cloud, you can use Studiometry Touch 2.0.
If your company is using Studiometry 11.x or older on the desktop, you will have to use Studiometry Touch 1.8.

Apple does not give the option to download older versions of an app on the App Store. We had to split the versions into two distinct apps to ensure that users remaining on Studiometry 11.x would not have their version of Studiometry Touch automatically updated to a version that does not work with their existing copy of Studiometry.


Followup Article: Transitioning from Studiometry Touch 1.x to 2.x

Have more questions? Submit a request


Please sign in to leave a comment.
Powered by Zendesk